Subject: 24.3.91; Crash on mwheel-scroll of org file

From: "Vladimir Alexiev" <[email-masked]>
Date: Tue, 10 Jun 2014 19:02:30 +0300

Hi! 

I think I found a new crash, at least I can't find it with google.

Scenario:
1. Open emacs-crash-test.org
2. Make the window smaller (e.g. 20 lines tall)
2. Roll the mouse wheel down until you see the end of file, then up. 
3. CRASH

I cannot reproduce it with "emacs -Q" yet.
I cannot always reproduce it with emacs-crash-test.org. I made this by replacing all letter with "a" in an original file that I can't share.
Please let me know whether this is a new crash and you are willing to debug it.
Then I can dig deeper to find which exact situation, or my code, or ELPA package causes this.

I saved emacs_backtrace.txt, then did
$ cat emacs_backtrace.txt | addr2line -C -f -i -p -e c:/emacs/bin/emacs > emacs_addr.txt
Both files are attached.
I also attach the info from report-emacs-bug.

Do I still need to do gdb "bt full" or "xbacktrace", or are the attachments enough?
Sorry, I can't recompile or debug emacs.

$ emacs &
[1] 5344

../../emacs-24.3.91/src/xdisp.c:6066: Emacs fatal error: assertion failed: (BUFFERP (it->object
) && IT_CHARPOS (*it) == it->bidi_it.charpos && IT_BYTEPOS (*it) == it->bidi_it.bytepos) || (ST
RINGP (it->object) && IT_STRING_CHARPOS (*it) == it->bidi_it.charpos && IT_STRING_BYTEPOS (*it)
 == it->bidi_it.bytepos) || (CONSP (it->object) && it->method == GET_FROM_STRETCH)

$ gdb -5 5344
Attaching to process 5344
[New Thread 5344.0x1148]
[New Thread 5344.0x214c]
[New Thread 5344.0x1574]
Reading symbols from /cygdrive/c/emacs/bin/emacs...done.

warning: `/cygdrive/c/Windows/SYSTEM32/ntdll.dll': Shared library architecture i386:x86-64 is n
ot compatible with target architecture i386.
(and several more warnings about Windows system libraries)

(gdb) continue
Continuing.
[Thread 5344.0x1574 exited with code 0]
[Inferior 1 (process 5344) exited with code 01400]
(gdb)
The program is not being run.